onEvent('recipes', event => {

  // hammer
  event.remove({ output:'immersiveengineering:hammer' })
  event.custom(
{
  "type": "create:mechanical_crafting",
  "pattern": [
    " BC",
    " PB",
    "P  "
  ],
  "key": {
    "P": {
      "tag": "forge:rods/wooden"
    },
    "C": {
      "tag": "forge:string"
    },
    "B": {
      "item": "minecraft:iron_ingot"
    }
  },
  "result": {
    "item": "immersiveengineering:hammer"
  },
  "acceptMirrored": true
})


// cokebrick 
  event.remove({ output:'immersiveengineering:cokebrick' })
  
  event.remove({output: '#forge:gears',type: 'minecraft:crafting_shaped'})

//charging_station
 event.remove({ output:'immersiveengineering:charging_station' })
 event.custom(
{
  "type": "create:mechanical_crafting",
  "pattern": [
    " C ",
    "BPB",
    "PPP"
  ],
  "key": {
    "P": {
      "item": "cyclic:mason_stone"
    },
    "C": {
      "item": "create:precision_mechanism"
    },
    "B": {
      "item": "refinedpipes:improved_energy_pipe"
    }
  },
  "result": {
    "item": "immersiveengineering:charging_station"
  },
  "acceptMirrored": true
})

 event.custom(
{
	"type":"immersiveengineering:metal_press",
	"mold":{"item":"immersiveengineering:mold_gear"},
	"result":{"tag":"forge:gears/diamond"},
	"conditions":
	[{"value":{"tag":"forge:gears/diamond","type":"forge:tag_empty"},"type":"forge:not"}],
	"input":{"count":4,"base_ingredient":{"tag":"forge:gems/diamond"}},
	"energy":4400}


)

//dust_hop_graphite
event.remove({output: 'immersiveengineering:dust_hop_graphite',type: 'immersiveengineering:squeezer'})
event.custom(
  {
    "type":"immersiveengineering:squeezer",
  "result":{"tag":"forge:dusts/hop_graphite"},
  "fluid":{"fluid":"immersiveengineering:plantoil","amount":10},
  "input":{"count":32,"base_ingredient":{"item":"immersivepetroleum:petcoke_dust"}},
  "energy":119200
 }
  
  
  )






});
